#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int zarada[n];
    double porez[n];
    for(int i=0;i<n;i++)
        cin>>zarada[i]>>porez[i];
    long double zbir[n]={0};
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(porez[j]>=porez[i])
                zbir[i]+=(double(porez[i]/100.00)*zarada[j]);
        }
    }
    long double maksimum=0;
    for(int i=0;i<n;i++)
    {
        if(zbir[i]>maksimum)
            maksimum=zbir[i];
    }
    cout<<fixed<<setprecision(7)<<showpoint<<maksimum;
    return 0;
}